#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error

%:
	dh $@ --with bash-completion

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-wbar-config \
		PIDOF_BIN=/bin/pidof

override_dh_auto_test:

override_dh_install:
	$(RM) -r debian/wbar/etc/bash_completion.d
	$(RM) debian/wbar/etc/wbar.d/wbar.desktop
	dh_install

override_dh_missing:
	dh_missing --list-missing

